Package org.apache.commons.lang3.function

## Interface FailableIntConsumer<E extends java.lang.Throwable>

Type Parameters:
  `E` - Thrown exception.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface FailableIntConsumer<E extends java.lang.Throwable>

A functional interface like `IntConsumer` that declares a `Throwable`.

Since:
  3.11

### Field Summary

Fields
`static FailableIntConsumer` `NOP` NOP singleton

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`void` `accept​(int value)` Accepts the consumer.
`default FailableIntConsumer<E>` `andThen​(FailableIntConsumer<E> after)` Returns a composed `FailableIntConsumer` like `IntConsumer.andThen(IntConsumer)`.
`static <E extends java.lang.Throwable> FailableIntConsumer<E>` `nop()` Returns The NOP singleton.

### Field Detail

#### NOP

    static final FailableIntConsumer NOP

NOP singleton

### Method Detail

#### nop

    static <E extends java.lang.Throwable> FailableIntConsumer<E> nop()

Returns The NOP singleton.

Type Parameters:
  `E` - Thrown exception.
Returns:
  The NOP singleton.

#### accept

    void accept​(int value)
         throws E extends java.lang.Throwable

Accepts the consumer.

Parameters:
  `value` - the parameter for the consumable to accept
Throws:
  `E` - Thrown when the consumer fails.
  `E extends java.lang.Throwable`

#### andThen

    default FailableIntConsumer<E> andThen​(FailableIntConsumer<E> after)

Returns a composed `FailableIntConsumer` like `IntConsumer.andThen(IntConsumer)`.

Parameters:
  `after` - the operation to perform after this one.
Returns:
  a composed `FailableLongConsumer` like `IntConsumer.andThen(IntConsumer)`.
Throws:
  `java.lang.NullPointerException` - if `after` is null